compact1, compact2, compact3
java.util.concurrent

## Class ThreadPoolExecutor.DiscardPolicy

- java.lang.Object
- - java.util.concurrent.ThreadPoolExecutor.DiscardPolicy

- All Implemented Interfaces:
    RejectedExecutionHandler
  Enclosing class:
    ThreadPoolExecutor

      public static class ThreadPoolExecutor.DiscardPolicy
      extends Object
      implements RejectedExecutionHandler

  A handler for rejected tasks that silently discards the rejected task.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscardPolicy()` Creates a `DiscardPolicy`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rejectedExecution(Runnable r, ThreadPoolExecutor e)` Does nothing, which has the effect of discarding task r.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscardPolicy

          public DiscardPolicy()

      Creates a `DiscardPolicy`.

  - ### Method Detail

    - #### rejectedExecution

          public void rejectedExecution(Runnable r,
                                        ThreadPoolExecutor e)

      Does nothing, which has the effect of discarding task r.
      Specified by:
        `rejectedExecution` in interface `RejectedExecutionHandler`
      Parameters:
        `r` - the runnable task requested to be executed
        `e` - the executor attempting to execute this task

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.